1. AVIA
ETS API
  • Try it and Run in ApiDog
  • AVIA API Documentation
  • AVIA Flows example
  • HOTELS API
  • AVIA
    • 1 REQ B2B Login Token (PREFERRED)
      POST
    • 1 REQ B2B Login (TO BE REMOVED, USE TOKEN LOGIN)
      POST
    • 1 REQ B2C Login
      GET
    • 2A Search Direct flight
      POST
    • 2C Search Round trip
      POST
    • 2B Search Multi-City
      POST
    • 3 Schedule - Amadeus optional
      POST
    • 4 Offers request
      GET
    • 4B Smart Offer Request optional
      GET
    • 4C Offer Rules
      GET
    • 5 Documents types for offer
      GET
    • 6 Offer info
      GET
    • 7 Availability of Offer
      GET
    • 8 OPT Available Services
      GET
    • 9 OPT Select services
      POST
    • 10 Create Order
      POST
    • 11 Split Order
      PATCH
    • 12 Order payment methods
      POST
    • 13 Order payment
      POST
    • 14 Сheckout status
      GET
    • 15 Refund order
      GET
    • 16 Get order info
      GET
    • 17 Print E-Tiket
      GET
    • 18 Receiving a cancellation fee
      GET
    • 19 Cancel Order
      GET
    • 20 Get airports
      GET
    • 21 Get cities
      GET
    • 22 Get countries
      GET
    • 23 Get counterparties info
      GET
    • 24 Get list of countries for citizenship
      GET
    • 25 Get list of country dialing codes
      GET
    • 26 List of contracts
      POST
    • 27 List of agents
      GET
    • 28 User personal information
      GET
  • HOTELS
    • REQUIRED
      • 1A REQ B2B Login
      • 1B REQ B2B Login Token
      • 1C REQ B2C Login
      • 2 REQ Destination
      • 3 REQ Search
      • 4 REQ Receiving found hotels
      • 5 REQ Getting a Hotel Offer
      • 6 REQ Create order
      • 7 REQ Cancel order
    • OPTIONAL
      • 1 REQ B2B Login
      • 1B REQ B2B Login Token Copy
      • 1 REQ B2C Login
      • 2 REQ Search
      • 3 OPT Destination point info
      • 4 OPT List of popular destinations Copy
      • 5 OPT List of filtered destinations
      • 6 OPT Group guide
      • 7 OPT Getting information on possible hotels
      • 8 OPT Getting the list of currencies
      • 9 REQ Receiving found hotels
      • 10 REQ Getting a Hotel Offer
      • 11 OPT Cancel-policies
      • 12 OPT Account number and info
      • 13 OPT Receiving information on the hotel offer
      • 14 OPT Receive detailed information about the cost of an offer
      • 15 REQ Create order
      • 16 OPT Receive hotel services
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
  1. AVIA

28 User personal information

GET
{{AVIA_URL}}/api//users/{{id}}/personal
This method is used when it's necessary to verify user data.
id can be taken from the {{AVIA_URL}}/api/users/lists/agents

Request

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://stage-api.etm-system.ru/api//users/{{id}}/personal' \
--header 'Accept: application/json' \
--header 'Etm-Auth-Key: ' \
--header 'Content-Type: application/json'
Response Response Example
{
    "status": "ok",
    "message": "",
    "data": {
        "id": 40091,
        "owner": null,
        "parent": null,
        "utype": "A",
        "usertype": "agent",
        "login": "Test1",
        "status": "A",
        "email": "ag_coX_2@ml.ru",
        "company": "Test1,"
        "company_int": null,
        "phone": "+77000000000",
        "fax": null,
        "country": "KZ",
        "city": "Астана",
        "address": "Сагынак, 24",
        "zip": "005516",
        "allowed_ip": [],
        "amadeus_id": null,
        "auth_id": null,
        "external_auth": null,
        "external_id": null,
        "security": "Y",
        "security_type": "email",
        "type_address": "physical",
        "tax_id": null,
        "cnpj": null,
        "ogrn": null,
        "single_login": "N",
        "group_id": 1053,
        "contacts": {
            "accountant_name": null,
            "accountant_email": null,
            "accountant_phone": null,
            "sales_email": null,
            "sales_phone": null,
            "technical_email": "test@ml.ru",
            "technical_phone": null,
            "physical_country": null,
            "physical_city": null,
            "physical_address": null,
            "physical_zip": null,
            "additional_emails": []
        },
        "configs": {
            "agreement_inn": null,
            "agreement_kpp": null,
            "agreement_ogrn": null,
            "beneficiary_bank_name": null,
            "beneficiary_bank_bic": null,
            "beneficiary_bank_account": null,
            "beneficiary_bank_mfo": null,
            "beneficiary_bank_okpo": null,
            "correspondent_account": null,
            "surname_director": null,
            "surname_responsible": null
        }
    }
}
Modified at 2026-07-21 14:02:19
Previous
27 List of agents
Next
HOTELS
Built with